### Hierarchy

- Links

## Index

### Properties

- categories
- color
- endLocation
- id
- selectable
- shortDesc
- startLocation
- svgClassName
- svgStyle
- width

## Properties

### categories

categories: string[]

An array of category strings corresponding to this link. This allows highlighting and filtering of links.

### color

color: string

The link color.

### endLocation

endLocation: LinksEndLocation

An object used to determine the end point of the link.

### id

id: any

The identifier for this link. The id should be set by the application if the DataProvider is not being used. The row key will be used as id in the case.

### selectable

selectable: string

Specifies whether or not the link will be selectable.

### shortDesc

shortDesc: string

The description of this element. Will be lazily created if a function is used. This is used for accessibility and also for customizing the tooltip text.

### startLocation

startLocation: LinksStartLocation

An object used to determine the start point of the link.

### svgClassName

svgClassName: string

The CSS style class defining the style of the link.

### svgStyle

svgStyle: object

The CSS style object defining the style of the link. Only SVG CSS style properties are supported.

### width

width: number

The link width in pixels.

Generated using TypeDoc